Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.fortuna.ical4j.model
Interface PropertyFactory

All Known Implementing Classes:
  PropertyFactoryImpl

    public interface PropertyFactory

A factory for creating iCalendar properties.

Author:
  Ben Fortuna

Method Summary
`Property` | `createProperty(String name)`
`Property` | `createProperty(String name, ParameterList parameters, String value)`

Method Detail

### createProperty

    Property createProperty(String name)

  Parameters:
    `name` -
  Returns:

### createProperty

    Property createProperty(String name,
                            ParameterList parameters,
                            String value)
                            throws IOException,
                                   URISyntaxException,
                                   ParseException

  Parameters:
    `name` -
    `parameters` -
    `value` -
  Returns:
  Throws:
    `IOException`
    `URISyntaxException`
    `ParseException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2007 Modularity. All Rights Reserved.